
# LUKS

Full disk encryption is stupidly simple with the `cryptsetup` package.

These commands can be used to take a disk, encrypt it, and create one or more file systems underneath it:

	cryptsetup luksFormat /dev/???
	cryptsetup luksOpen /dev/??? <name>
	mkfs.btrfs -L <label> /dev/mapper/<name>
	cryptsetup luksClose <name>

_Simply substitute `???` with the drive, and `<name>` with whatever you want to call it._

You can use any file system; _I happen to prefer btrfs._
