
# diablo 2

Easy to install and run, but no dice getting it working through the steam interface.


## installation

The files provided by blizzard are actually downloads for the installers, so you can run those with wine if you like.

When ready you may create a your installation then run each installer back-to-back:

	export STEAM_COMPAT_DATA_PATH="$HOME/.local/share/Steam/steamapps/compatdata/d2"
	export WINEPREFIX="${STEAM_COMPAT_DATA_PATH}/pfx"
	export WINEPATH="$HOME/.local/share/Steam/compatibilitytools.d/Proton-5.21-GE-1/dist/bin/"
	"$HOME/.local/share/Steam/compatibilitytools.d/Proton-5.21-GE-1/proton" run /path/to/D2/Installer.exe
	"$HOME/.local/share/Steam/compatibilitytools.d/Proton-5.21-GE-1/proton" run /path/to/D2-LoD/Installer.exe

_You may select a path within or outside of the prefix at your discretion, though I recommend keeping it self-contained unless you know how to get it linked up to the Steam UI._

> It is highly recommended that you use `winecfg` to set a virtual desktop because these games are old and have really small resolutions which will disrupt your display in full screen mode, and be barely visible in windowed mode, but can be maximized if in windowed mode within a virtual desktop.

It is common to enable ladder-only runewords by downloading [Runes.txt](#) and placing it into the installation path at `Diablo II/data/excel/Runes.txt` then adding `-direct -txt` flags to the launch command.

A launch script can be created (eg. `/usr/local/bin/d2`):

	#!/bin/bash -x
	export STEAM_COMPAT_DATA_PATH="$HOME/.local/share/Steam/steamapps/compatdata/4170773637"
	cd "$HOME/.local/share/Steam/steamapps/common/Diablo II"
	"$HOME/.local/share/Steam/compatibilitytools.d/Proton-5.21-GE-1/proton" run "$HOME/.local/share/Steam/steamapps/common/Diablo II/Diablo II.exe" -direct -txt -w

_If you want you can also add `-seed#` to lock the single player maps from resetting, which can be especially helpful if you find a good map for specific activities._


## dualbox

Two separate installations are required if you want to dual-box, and they may need separate keys if you intend to play online.

_I am uncertain whether local network play will function with the same key or not._
